# File         : Makefile
# Author       : Xinying Li
# Created      : Thu Apr  9 12:22:15 1998
# Revision     : ver 1.1
# Updated      : $Date: 1998/04/14 17:11:05 $
# Copyright: Northeast Parallel Architectures Center at Syracuse University 1998


SHELL=/bin/sh

VERSION = @VERSION@

srcdir      = @srcdir@
top_srcdir  = @top_srcdir@

SUBDIR = simple ccl comm dtyp env group pt2pt topo

VPATH = .:${srcdir}

all: check

check:
	@echo "Recursively checking subdir:"${SUBDIR}
	@for i in ${SUBDIR}; \
	do (cd $$i; $(MAKE) "MAKE=$(MAKE)" -i check); done

clean:
	@for i in ${SUBDIR}; \
	do (cd $$i; $(MAKE) "MAKE=$(MAKE)" clean); done

distclean:
	@for i in ${SUBDIR}; \
	do (cd $$i; $(MAKE) "MAKE=$(MAKE)" distclean); done
	rm -f *.rec

record:
	@for i in ${SUBDIR}; \
	do (cd $$i; $(MAKE) "MAKE=$(MAKE)" record); done

compare:
	@echo "Comparing current package information with recorded one"

